Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.stepsettings
Class SingleRelationEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          javax.swing.DefaultCellEditor
              edu.udo.cs.miningmart.gui.stepsettings.ParameterEditor
                  edu.udo.cs.miningmart.gui.stepsettings.SelectEditor
                      edu.udo.cs.miningmart.gui.stepsettings.SingleSelectEditor
                          edu.udo.cs.miningmart.gui.stepsettings.SingleRelationEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, javax.swing.CellEditor, java.util.EventListener, java.io.Serializable, javax.swing.table.TableCellEditor, javax.swing.table.TableCellRenderer, javax.swing.tree.TreeCellEditor

public class SingleRelationEditor
extends SingleSelectEditor

An editor and renderer for single-selection of a `Relation`.

Version:
  $Id: SingleRelationEditor.java,v 1.3 2006/04/11 14:10:13 euler Exp $
Author:
  Daniel Hakenjos
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.DefaultCellEditor
`javax.swing.DefaultCellEditor.EditorDelegate`

Field Summary

Fields inherited from class edu.udo.cs.miningmart.gui.stepsettings.SingleSelectEditor
`paramobject, textfield`

Fields inherited from class edu.udo.cs.miningmart.gui.stepsettings.SelectEditor
`button`

Fields inherited from class edu.udo.cs.miningmart.gui.stepsettings.ParameterEditor
`app, editable, loopnumber, numberofloops, oldparamcollections, opParam, paramcollections, step`

Fields inherited from class javax.swing.DefaultCellEditor
`clickCountToStart, delegate, editorComponent`

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`SingleRelationEditor(MiningMartApplication app, Step step, OpParam opParam)` Constructs a new `SingleRelationEditor`.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` For your own selection you must overwrite this method.
`boolean` | `existsOutput()` Checks wether the output exists or not.
`void` | `init()` Inits this editor for the current loopnumber.

Methods inherited from class edu.udo.cs.miningmart.gui.stepsettings.SingleSelectEditor
`getParameterObject, getParameterObjects, getSelectedValue, setEditable`

Methods inherited from class edu.udo.cs.miningmart.gui.stepsettings.ParameterEditor
`addChangeListener, cancelEditing, fireStateChanged, getAllParameterCollections, getChangeListener, getChangeListenerCount, getLoopNumber, getNumberOfLoops, getParameterCollection, getParameterCollection, getTableCellRendererComponent, getTheOpParam, makeOutput, removeAllChangeListener, removeChangeListener, setCollectionsInStep, setLoopNumber, setNumberOfLoops, setParameterCollection, setParameterCollection`

Methods inherited from class javax.swing.DefaultCellEditor
`cancelCellEditing, getCellEditorValue, getClickCountToStart, getComponent, getTableCellEditorComponent, getTreeCellEditorComponent, isCellEditable, setClickCountToStart, shouldSelectCell, stopCellEditing`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, removeCellEditorListener`

Constructor Detail

### SingleRelationEditor

    public SingleRelationEditor(MiningMartApplication app,
                                Step step,
                                OpParam opParam)

  Constructs a new `SingleRelationEditor`.

Method Detail

### init

    public void init()

  Description copied from class: `ParameterEditor`
  Inits this editor for the current loopnumber. This method is useful in subclasses to set the text or list.

  Overrides:
    `init` in class `SingleSelectEditor`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Description copied from class: `SingleSelectEditor`
  For your own selection you must overwrite this method. Especially to construct the list.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Overrides:
    `actionPerformed` in class `SingleSelectEditor`
  See Also:
    `ActionListener.actionPerformed(ActionEvent)`

### existsOutput

    public boolean existsOutput()

  Description copied from class: `ParameterEditor`
  Checks wether the output exists or not. If it is an input parameter then it returns false. Otherwise if all `Collection`s of the old Parameters are null or empty then the ouput doesn't exists.

  Overrides:
    `existsOutput` in class `ParameterEditor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005